UapiProUApiPro
API catalogConsolePricingChangelogTrendingHelpTools
API catalog
Console
Pricing
Changelog
Trending
Help

Error Handling Guide

Understand UAPI's standardized error model, retry strategy guidance, and recommended handling patterns to build resilient applications.

Introduction

Error Handling Guide

PreviousOfficial SDKs
NextFAQ
UapiPro
Checking...
·Official QQ group
UapiPro is part of the Axt Super Project© 2026 Axt Team

Crafted by Shuakami

  • Privacy and terms
  • Fair use and rate limits

You no longer need to handle this manually. Use our official SDK, which automatically checks HTTP status codes, parses error responses, and throws a unified exception object.

Go

Concurrency-friendlyClean syntax

Python

Easy to useRich ecosystem

TypeScript

Type-safeModern JS

Java

Enterprise-gradeCross-platform

C++

High performanceLow-level control

PHP

Web developmentEasy to deploy

C#

.NET ecosystemModern syntax

Browser

Native supportZero dependencies

Rust

Memory-safeHigh performance

SDK Feature Support

The following shows feature support for each language SDK:

LanguageAutomatic error handlingType hintsAutomatic retry
Go
Python
TypeScript
Java
C++
PHP
C#
Browser
Rust

Common Error Codes

Error CodeHTTPDescription
INVALID_ARGUMENT400Invalid request parameters
UNAUTHORIZED401Invalid API key
FORBIDDEN403Access denied
NOT_FOUND404Resource not found
RATE_LIMIT_EXCEEDED429Rate limit exceeded
INTERNAL_ERROR500Server error